Next: M, Previous: L, Up: Invoking

### 2.8 Configuring listing output: --listing

The listing feature of the assembler can be enabled via the command line switch -a (see a). This feature combines the input source file(s) with a hex dump of the corresponding locations in the output object file, and displays them as a listing file. The format of this listing can be controlled by directives inside the assembler source (i.e., `.list` (see List), `.title` (see Title), `.sbttl` (see Sbttl), `.psize` (see Psize), and `.eject` (see Eject) and also by the following switches:

`--listing-lhs-width=`number
  Sets the maximum width, in words, of the first line of the hex byte dump. This dump appears on the left hand side of the listing output.
`--listing-lhs-width2=`number
  Sets the maximum width, in words, of any further lines of the hex byte dump for a given input source line. If this value is not specified, it defaults to being the same as the value specified for --listing-lhs-width. If neither switch is used the default is to one.
`--listing-rhs-width=`number
  Sets the maximum width, in characters, of the source line that is displayed alongside the hex dump. The default value for this parameter is 100. The source line is displayed on the right hand side of the listing output.
`--listing-cont-lines=`number
  Sets the maximum number of continuation lines of hex dump that will be displayed for a given single line of source input. The default value is 4.